Skip to main content
POST
/
builders
/
{builderId}
/
meetings
/
{meetingId}
/
notes
cURL
curl --request POST \
  --url https://api.buildpass.global/builders/{builderId}/meetings/{meetingId}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalSourceId": "external-note-123",
  "sourceApp": "supasite",
  "sourceDeepLink": "buildpass://meetings/extapitoolboxmeeting01/notes/external-note-123",
  "sourceWebLink": "https://app.buildpass.com.au/meetings/extapitoolboxmeeting01",
  "title": "Site walk note",
  "summaryMarkdown": "Captured decisions from the site walk.",
  "detailBlocks": [
    {}
  ],
  "actionItems": [
    {
      "text": "Upload site photos"
    }
  ],
  "capturedStartedAt": "2026-01-15T12:00:00.000Z",
  "capturedEndedAt": "2026-01-15T12:10:00.000Z"
}
'
import requests

url = "https://api.buildpass.global/builders/{builderId}/meetings/{meetingId}/notes"

payload = {
"externalSourceId": "external-note-123",
"sourceApp": "supasite",
"sourceDeepLink": "buildpass://meetings/extapitoolboxmeeting01/notes/external-note-123",
"sourceWebLink": "https://app.buildpass.com.au/meetings/extapitoolboxmeeting01",
"title": "Site walk note",
"summaryMarkdown": "Captured decisions from the site walk.",
"detailBlocks": [{}],
"actionItems": [{ "text": "Upload site photos" }],
"capturedStartedAt": "2026-01-15T12:00:00.000Z",
"capturedEndedAt": "2026-01-15T12:10:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalSourceId: 'external-note-123',
sourceApp: 'supasite',
sourceDeepLink: 'buildpass://meetings/extapitoolboxmeeting01/notes/external-note-123',
sourceWebLink: 'https://app.buildpass.com.au/meetings/extapitoolboxmeeting01',
title: 'Site walk note',
summaryMarkdown: 'Captured decisions from the site walk.',
detailBlocks: [{}],
actionItems: [{text: 'Upload site photos'}],
capturedStartedAt: '2026-01-15T12:00:00.000Z',
capturedEndedAt: '2026-01-15T12:10:00.000Z'
})
};

fetch('https://api.buildpass.global/builders/{builderId}/meetings/{meetingId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "mnote_clgbsb90b001qjy0f0eo1hspp",
  "builderId": "buil_clgbsb90b001qjy0f0eo1hspp",
  "meetingId": "extapitoolboxmeeting01",
  "authorAdminUserId": null,
  "source": "MANUAL",
  "sourceApp": "supasite",
  "sourceDeepLink": "buildpass://meetings/extapitoolboxmeeting01/notes/external-note-123",
  "sourceWebLink": "https://app.buildpass.com.au/meetings/extapitoolboxmeeting01",
  "externalSourceId": "external-note-123",
  "title": "Site walk note",
  "summaryMarkdown": "Captured decisions from the site walk.",
  "detailBlocks": [
    {}
  ],
  "actionItems": [
    {
      "text": "Upload site photos"
    }
  ],
  "capturedStartedAt": "2026-01-15T12:00:00.000Z",
  "capturedEndedAt": "2026-01-15T12:10:00.000Z",
  "archivedAt": null,
  "createdAt": "2026-01-15T12:00:00.000Z",
  "updatedAt": "2026-01-15T12:00:00.000Z"
}
{
"errors": [
{
"fieldName": "name",
"message": "This field is required."
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required
Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

meetingId
string
required
Example:

"extapitoolboxmeeting01"

Body

application/json
externalSourceId
string
Example:

"external-note-123"

sourceApp
string
default:supasite
Example:

"supasite"

Example:

"buildpass://meetings/extapitoolboxmeeting01/notes/external-note-123"

Example:

"https://app.buildpass.com.au/meetings/extapitoolboxmeeting01"

title
string | null
Example:

"Site walk note"

summaryMarkdown
string | null
Example:

"Captured decisions from the site walk."

detailBlocks
object[] | null
actionItems
unknown
capturedStartedAt
string<date-time> | null
Example:

"2026-01-15T12:00:00.000Z"

capturedEndedAt
string<date-time> | null
Example:

"2026-01-15T12:10:00.000Z"

Response

The created or updated meeting note

id
string
Example:

"mnote_clgbsb90b001qjy0f0eo1hspp"

builderId
string
Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

meetingId
string
Example:

"extapitoolboxmeeting01"

authorAdminUserId
string | null
Example:

null

source
enum<string>
Available options:
MANUAL
Example:

"MANUAL"

sourceApp
string | null
Example:

"supasite"

Example:

"buildpass://meetings/extapitoolboxmeeting01/notes/external-note-123"

Example:

"https://app.buildpass.com.au/meetings/extapitoolboxmeeting01"

externalSourceId
string | null
Example:

"external-note-123"

title
string | null
Example:

"Site walk note"

summaryMarkdown
string | null
Example:

"Captured decisions from the site walk."

detailBlocks
object[] | null
actionItems
unknown
capturedStartedAt
string<date-time> | null
Example:

"2026-01-15T12:00:00.000Z"

capturedEndedAt
string<date-time> | null
Example:

"2026-01-15T12:10:00.000Z"

archivedAt
string<date-time> | null
Example:

null

createdAt
string<date-time>
Example:

"2026-01-15T12:00:00.000Z"

updatedAt
string<date-time>
Example:

"2026-01-15T12:00:00.000Z"